<template>
  <FullCalendar :options="options" />
</template>

<script>
import "@fullcalendar/core/vdom";
import timeGridPlugin from "@fullcalendar/timegrid";
import dom from "@left4code/tw-starter/dist/js/dom";
import axios from "axios";
import store from "../../stores";
export default {
  name: "CalendarWeek",
  props: {
    dataEvent: {
      type: Array,
      default: [],
    },
  },
  data() {
    return {
      options: {
        plugins: [timeGridPlugin],
        droppable: true,
        headerToolbar: {
          left: "prev,next",
          right: "title",
          center: "timeGridWeek",
        },
        // initialDate: "202-01-12",
        height: 450,
        navLinks: true,
        editable: true,
        dayMaxEvents: true,
        events: async function (info, successCallback, failureCallback) {
          await axios
            .get("http://localhost:3030/v1/event/calendar", {
              params: {
                calendar: "week",
                startDate: info.startStr,
                endDate: info.endStr,
              },
              headers: {
                Token: store.state.user.token,
                "User-ID": store.state.user.user_id,
              },
            })
            .then((res) => {
              const data = res.data.data ? res.data.data : [];
              successCallback(data);
            })
            .catch((err) => {
              console.log(err);
              failureCallback(err);
            });
          // await axios
          //   .get("http://10.175.11.75:82/v1/event/calendar", {
          //     params: {
          //       calendar: "week",
          //       startDate: info.startStr,
          //       endDate: info.endStr,
          //     },
          //     headers: {
          //       Token: store.state.user.token,
          //       "User-ID": store.state.user.user_id,
          //     },
          //   })
          //   .then((res) => {
          //     const data = res.data.data ? res.data.data : [];
          //     successCallback(data);
          //   })
          //   .catch((err) => {
          //     console.log(err);
          //     failureCallback(err);
          //   });
        },
        drop: function (info) {
          if (
            dom("#checkbox-events").length &&
            dom("#checkbox-events")[0].checked
          ) {
            dom(info.draggedEl).parent().remove();

            if (dom("#calendar-events").children().length == 1) {
              dom("#calendar-no-events").removeClass("hidden");
            }
          }
        },
      },
    };
  },
  methods: {},
  mounted() {},
};
</script>
